package ec.gob.bsg.accesobsgservice;

import com.fp.webservices.snap.recursos.MsgSnap;
import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;

@WebServiceClient(name = "AccesoBSGService", targetNamespace = "http://bsg.gob.ec/AccesoBSGService", wsdlLocation = "https://bsg.gob.ec/sw/STI/BSGSW08_Acceder_BSG?wsdl")
public class AccesoBSGService extends Service {

    private static final URL ACCESOBSGSERVICE_WSDL_LOCATION;
    private static final WebServiceException ACCESOBSGSERVICE_EXCEPTION;
    private static final QName ACCESOBSGSERVICE_QNAME = new QName("http://bsg.gob.ec/AccesoBSGService", "AccesoBSGService");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL(MsgSnap.getString("url_permiso_client"));
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        ACCESOBSGSERVICE_WSDL_LOCATION = url;
        ACCESOBSGSERVICE_EXCEPTION = e;
    }

    public AccesoBSGService() {
        super(__getWsdlLocation(), ACCESOBSGSERVICE_QNAME);
    }

    public AccesoBSGService(WebServiceFeature... features) {
        super(__getWsdlLocation(), ACCESOBSGSERVICE_QNAME, features);
    }

    public AccesoBSGService(URL wsdlLocation) {
        super(wsdlLocation, ACCESOBSGSERVICE_QNAME);
    }

    public AccesoBSGService(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, ACCESOBSGSERVICE_QNAME, features);
    }

    public AccesoBSGService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public AccesoBSGService(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    @WebEndpoint(name = "BSG04_Acceder_BSGPort")
    public BSG04AccederBSG getBSG04AccederBSGPort() {
        return (BSG04AccederBSG) getPort(new QName("http://bsg.gob.ec/AccesoBSGService", "BSG04_Acceder_BSGPort"), BSG04AccederBSG.class);
    }

    @WebEndpoint(name = "BSG04_Acceder_BSGPort")
    public BSG04AccederBSG getBSG04AccederBSGPort(WebServiceFeature... features) {
        return (BSG04AccederBSG) getPort(new QName("http://bsg.gob.ec/AccesoBSGService", "BSG04_Acceder_BSGPort"), BSG04AccederBSG.class, features);
    }

    private static URL __getWsdlLocation() {
        if (ACCESOBSGSERVICE_EXCEPTION != null) {
            throw ACCESOBSGSERVICE_EXCEPTION;
        }
        return ACCESOBSGSERVICE_WSDL_LOCATION;
    }
}


/* Location:              /data/COMACO/SINCOAR2022/Entorno/produccion/servers/mule-standalone-3.5.0/apps/centralwebservices-2.1.zip!/centralwebservices-2.1/classes/ec/gob/bsg/accesobsgservice/AccesoBSGService.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */
